aboutgitcodebugslistschat
path: root/test/valgrind/passt
diff options
context:
space:
mode:
authorStefano Brivio <sbrivio@redhat.com>2022-03-15 20:16:13 +0100
committerStefano Brivio <sbrivio@redhat.com>2022-03-29 15:35:38 +0200
commit66a95e331ec930e72bc06c54b283ea88b30ecbaa (patch)
treeff6163b74565c9a3906d37a38f2995c996a1bffe /test/valgrind/passt
parenta3bcca864e4692889ab4de77912b6a25e51dae16 (diff)
downloadpasst-66a95e331ec930e72bc06c54b283ea88b30ecbaa.tar
passt-66a95e331ec930e72bc06c54b283ea88b30ecbaa.tar.gz
passt-66a95e331ec930e72bc06c54b283ea88b30ecbaa.tar.bz2
passt-66a95e331ec930e72bc06c54b283ea88b30ecbaa.tar.lz
passt-66a95e331ec930e72bc06c54b283ea88b30ecbaa.tar.xz
passt-66a95e331ec930e72bc06c54b283ea88b30ecbaa.tar.zst
passt-66a95e331ec930e72bc06c54b283ea88b30ecbaa.zip
test, seccomp, Makefile: Switch to valgrind runs for passt functional tests
Pass to seccomp.sh a list of additional syscalls valgrind needs as EXTRA_SYSCALLS in a new 'valgrind' make target, and add corresponding support in seccomp.sh itself. In test setup functions, start passt with valgrind, but not for performance tests. Add tests checking that valgrind exits without errors after all the other tests in the group are done. Signed-off-by: Stefano Brivio <sbrivio@redhat.com>
Diffstat (limited to 'test/valgrind/passt')
-rw-r--r--test/valgrind/passt22
1 files changed, 22 insertions, 0 deletions
diff --git a/test/valgrind/passt b/test/valgrind/passt
new file mode 100644
index 0000000..3af943a
--- /dev/null
+++ b/test/valgrind/passt
@@ -0,0 +1,22 @@
+# SPDX-License-Identifier: AGPL-3.0-or-later
+#
+# PASST - Plug A Simple Socket Transport
+# for qemu/UNIX domain socket mode
+#
+# PASTA - Pack A Subtle Tap Abstraction
+# for network namespace/tap device mode
+#
+# test/valgrind/passt - Terminate passt and check valgrind exit code
+#
+# Copyright (c) 2022 Red Hat GmbH
+# Author: Stefano Brivio <sbrivio@redhat.com>
+
+onlyfor passt
+test valgrind: exit code
+
+hout PASST_PID cat passt.pid
+host kill __PASST_PID__
+sleep 1
+
+pout VALGRIND_EXIT echo $?
+check [ "__VALGRIND_EXIT__" = "0" ]